<template>
    <div class="wrapper">
        <div class="container-fuild">
            <div id="headTitle">
                <Logo />
                <h1 id="title" _msttexthash="48503" _msthash="2">{{ i18ntext.lngText('expense') }}</h1>
            </div>
            <Header />
            <ol id="topicPath">
                <li style="margin-left:272px">
                    <router-link to="expenses"><a href="expenses">
                            <font style="vertical-align: inherit">
                                <font style="vertical-align: inherit">{{ i18ntext.lngText('expense') }}</font>
                            </font>
                        </a>
                    </router-link>
                </li>
            </ol>
        </div>
        <div class="search-box">
            <div id="product">
                <div class="search-box-title" id="Bars">
                    <div id="bar" style="width: 90%;">
                        <router-link to="/expenses"><a class="btn-radius btn btn-sm" href="#" id="bar-1"
                                style="background-color: #29a5a5; border: #22adb763 1px solid;">
                                <i class="fas fa-cog"> </i>
                                {{ i18ntext.lngText('expense') }}
                            </a>
                        </router-link>
                    </div>
                    <div id="right" style="width: 10%;">
                        <a class="btn-radius bt-pn btn btn-sm" data-bs-toggle="dropdown" aria-expanded="false"
                            style="float: right; color: #f8f5b4;margin-top: -2px;margin-right: 11px;">
                            <i class="fas fa-plus" style="padding-right: 5px"></i>
                            {{ i18ntext.lngText('menu') }}
                        </a>
                        <ul class="dropdown-menu">
                            <li>
                                <a @click="getsuppliyerview()" class="dropdown-item btn btn-primary" data-bs-toggle="modal"
                                    data-bs-target="#staticboomId" tabindex="10028">
                                    <i class="fa fa-print" aria-hidden="true"></i>
                                    {{ i18ntext.lngText('print') }}
                                </a>
                            </li>
                            <!-- <li>
                                <a class="dropdown-item" data-bs-toggle="modal" data-bs-target="#staticBackdropss"
                                    tabindex="10028" href="#">
                                    <i class="fas fa-file-excel"></i> To Excel
                                </a>
                            </li> -->
                        </ul>
                    </div>
                </div>
                <div class="search-box-content">
                    <table width="100%" border="0" cellpadding="0" cellspacing="0" class="tbl_search" id="hover-table">
                        <tbody>
                            <tr>
                                <th width="10%"> {{ i18ntext.lngText('expense_type') }}</th>
                                <td width="50%">
                                    <div class="d-flex">
                                        <button class="dropdown-toggle string_zen clear_text text select-menu" type="button"
                                            id="dropdownMenuButton1" data-bs-toggle="dropdown" aria-expanded="false" size="50"
                                            style="color: #777; width: 359px">
                                            {{ Type }}
                                            <i class="fa fa-chevron-down" style="float: right"></i>
                                        </button>

                                        <div class="dropdown-menu each-drop-menu" aria-labelledby="dropdownMenuButton1">
                                        <ul style="list-style: none" class="scrollable-menu">
                                            <li v-for="item in types" :value="item.expenses_name"
                                                @click="getproduct(item, 'type')">
                                                <div class="menu-item">
                                                    <p>{{ item.expenses_name }}</p>
                                                </div>
                                            </li>
                                        </ul>
                                    </div>

                                        <a href="#" class="btn-addnew" data-bs-toggle="modal"  data-bs-target="#alertbell">
                                            <span class="new">{{ i18ntext.lngText('create_new') }}</span>
                                        </a>
                                        </div>





                                </td>
                            </tr>
                            <tr>
                                <th width="10%"> {{ i18ntext.lngText('description') }}</th>
                                <td width="50%">
                                    <textarea cols="1" rows="1" class="string_zen clear_text text"
                                        v-model="form.description" id="search_word_simei_s" name="search_word[simei_s]"
                                        type="text" tabindex="10017"
                                        style="width: 360px; outline: none; color: rgb(119, 119, 119);"></textarea>
                                </td>
                            </tr>
                            <tr>
                                <th width="10%"> {{ i18ntext.lngText('pay_method') }}</th>
                                <td width="50%">
                                    <button class="dropdown-toggle string_zen clear_text text select-menu" type="button"
                                        id="dropdownMenuButton1" data-bs-toggle="dropdown" aria-expanded="false" size="50"
                                        style="color: #777; width: 359px">
                                        {{ Payment }}
                                        <i class="fa fa-chevron-down" style="float: right"></i>
                                    </button>
                                    <div class="dropdown-menu each-drop-menu" aria-labelledby="dropdownMenuButton1">
                                        <ul style="list-style: none" class="scrollable-menu">
                                            <li v-for="item in items" :value="item.paymentmethod"
                                                @click="getproduct(item, 'payment')">
                                                <div class="menu-item">
                                                    <p>{{ item.paymentmethod }}</p>
                                                </div>
                                            </li>
                                        </ul>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <th width="10%"> {{ i18ntext.lngText('total_expense') }}({{ i18ntext.lngText('riel') }})</th>
                                <td width="50%"><input autocomplete="off" class="string_zen clear_text text input_text" type="text"
                                        v-model="form.totat_exspan" style="width: 360px;"></td>
                            </tr>
                            <tr>
                                <th width="10%"> {{ i18ntext.lngText('date') }}</th>
                                <td width="50%"><input autocomplete="off" class="string_zen clear_text text input_text" type="date"
                                        v-model="form.exspan_date" style="width: 360px;"></td>
                            </tr>
                        </tbody>
                    </table>
                    <div class="search-box-footer">
                        <div v-if="this.back == true" @click="btnBack()" class="button type2" id="uniform-undefined">
                            <span><input autocomplete="off" type="button" class="type2" tabindex="10025" value="display"
                                    style="opacity: 0; width: 54px;"><i class="fa-sharp fa fa-arrow-left"></i>  {{ i18ntext.lngText('back') }}</span>
                        </div>
                        <div class="button type2" id="uniform-undefined"><span @click="searchex()"><input autocomplete="off" type="button"
                                    class="type2" tabindex="10025" value="display" style="opacity: 0; width: 54px;"><i
                                    class="fa fa-search" aria-hidden="true"></i>  {{ i18ntext.lngText('search') }}</span></div>
                        <div v-if="insert === 'Save'" class="button type2" id="uniform-undefined"><span @click="btnSave()"><input autocomplete="off" type="button"
                                    class="type2" tabindex="10025" value="display" style="opacity: 0; width: 54px;"><i
                                    class="fa fa-save" aria-hidden="true"></i> {{ i18ntext.lngText('save') }}</span></div>
                        <div v-else class="button type2" id="uniform-undefined"><span @click="btnSave()"><input autocomplete="off" type="button"
                                    class="type2" tabindex="10025" value="display" style="opacity: 0; width: 54px;"><i
                                    class="fa fa-save" aria-hidden="true"></i> {{ i18ntext.lngText('update') }}</span></div>
                    <span
                            class="marker"></span>
                    </div>
                </div>
                <div class="box mt-4">
                    <div>
                        <table width="100%" border="0" cellpadding="0" cellspacing="0" class="table table-striped br-table">
                            <thead>
                                <tr class="header-table">
                                    <th style="width: 4%;"> {{ i18ntext.lngText('no') }}</th>
                                    <th style="width: 12%;"> {{ i18ntext.lngText('expense_type') }}</th>
                                    <th style="max-width: 40%;"> {{ i18ntext.lngText('description') }}</th>
                                    <th style="width: 12%;"> {{ i18ntext.lngText('pay_method') }}</th>
                                    <th style="width: 15%;"> {{ i18ntext.lngText('total_expense') }}({{ i18ntext.lngText('riel') }})</th>
                                    <th style="width: 12%;"> {{ i18ntext.lngText('date') }}</th>
                                    <th style="width: 18%;"></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr v-for="(ex, index) in exs.data" :key="index">
                                    <td>{{ index + 1 }}</td>
                                    <td>{{ ex.document }}</td>
                                    <td>{{ ex.description }}</td>
                                    <td>{{ ex.Payment_method }}</td>
                                    <td>
                                        <div style="display: flex;justify-content: end;">
                                            {{ Number(ex.totat_exspan).toLocaleString() }} ៛
                                        </div>
                                    </td>
                                    <td>
                                        <div style="display: flex;justify-content: end;">
                                            {{ formatdatetime(ex.exspan_date) }}
                                        </div>
                                    </td>
                                    <td>
                                        <div
                                            style="display: flex; flex-direction: row; justify-content: space-around; align-items: center;">
                                            <div class="button type2" id="uniform-undefined"><span
                                                    @click="selectexpen(ex)"><input autocomplete="off" type="button" class="type2"
                                                        tabindex="10025" value="display" style="opacity: 0; width: 54px;"><i
                                                        class="fa fa-edit"></i> {{ i18ntext.lngText('select') }}</span></div>
                                            <div class="button type2" id="uniform-undefined"><span
                                                    @click="deletexpen(ex.id)"><i class="fa fa-trash"
                                                        aria-hidden="true"></i> {{ i18ntext.lngText('Delete') }} <input autocomplete="off" type="button" class="type2"
                                                        tabindex="10026" value="clear"
                                                        style="opacity: 0; width: 54px;"></span></div>
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="box-footer-pagination">
                        <pagination :limit="2" :data="exs" @pagination-change-page="getexpen" />
                    </div>
                </div>
            </div>
        </div>

    </div>
    <div id="myModal" class="lskymodal">
        <div class="lskymodal-content">
            <p>
                <i class="fa fa-check" aria-hidden="true"></i>
                {{ massege }}
            </p>
        </div>
    </div>
    <div class="modal fade ui-modal" id="staticboomId" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
        aria-labelledby="staticboomId" aria-hidden="true">
        <div class="modal-dialog" style="max-width: 85% !important;">
            <div class="modal-content ui-dialog">
                <div class="ui-widget-header">
                    <h5 class="modal-title in-header" id="staticBackdropLabel"><i class="fa fa-print"
                            aria-hidden="true"></i>
                            {{ i18ntext.lngText('print') }}</h5>
                    <span class="ui-icon ui-icon-closethick" data-bs-dismiss="modal" aria-label="Close"></span>
                </div>
                <div class="ui-dialog-content" id="purchaseorder">
                    <div class="card">
                        <div class="card-body">
                            <div class="mt-3 print-size">

                                <div style="padding:0 50px 0 50px; background-color: #fff;">
                                    <div class="col-md-12">
                                        <div class="text-center">
                                            <h3 class="title-purchase"> {{ i18ntext.lngText('report') }}{{ i18ntext.lngText('expense') }}</h3>
                                        </div>
                                    </div>
                                    <div class="col-container">
                                        <div class="col1" style="width: 55%;">
                                            <p class=" p-bg font-size p-pad"> {{ i18ntext.lngText('company') }}</p>
                                            <p class="p-mg info-pad"><span id="bold"> {{ i18ntext.lngText('name') }} :</span> <span id="fon">{{
                                                company.company_name }}</span></p>
                                            <p class="p-mg  info-pad"><span id="bold"> {{ i18ntext.lngText('phonenumber') }} :</span> <span
                                                    id="fon">{{ company.company_Phone }}</span></p>
                                            <p class="p-mg info-pad"><span id="bold"> {{ i18ntext.lngText('email') }} :</span> <span
                                                    id="fon">{{ company.company_Email }}</span></p>
                                            <p class="p-mg info-pad"><span id="bold"> {{ i18ntext.lngText('address') }} :</span> <span id="fon">{{
                                                company.company_Address }}</span></p>
                                        </div>
                                        <div class="col2">
                                            <p class="text-center p-bg font-size p-pad"> {{ i18ntext.lngText('date') }}</p>
                                            <p class="text-center p-mg" id="fon">{{ dateformart }}</p>
                                            <p class="text-center p-bg font-size p-pad"> {{ i18ntext.lngText('total') }}{{ i18ntext.lngText('expense') }}</p>
                                            <p class="text-center p-mg" id="fon">{{ count }}</p>
                                        </div>
                                    </div>
                                    <div class=" my-2  justify-content-center">
                                        <table id="pr-tb">
                                            <thead>
                                                <tr class="p-bg">
                                                    <th style="width: 5%;text-align: center;"> {{ i18ntext.lngText('no') }}</th>
                                                    <th style="text-align: center;"> {{ i18ntext.lngText('expense_type') }}</th>
                                                    <th style="text-align: center;"> {{ i18ntext.lngText('description') }}</th>
                                                    <th style="text-align: center;"> {{ i18ntext.lngText('pay_method') }}</th>
                                                    <th style="text-align: center;"> {{ i18ntext.lngText('total_expense') }}</th>
                                                    <th style="text-align: center;"> {{ i18ntext.lngText('date') }}</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr v-for="(ex, index) in exs.data" :key="index">
                                                    <td>{{ index + 1 }}</td>
                                                    <td>{{ ex.document }}</td>
                                                    <td>{{ ex.description }}</td>
                                                    <td>{{ ex.Payment_method }}</td>
                                                    <td>
                                                        <div style="display: flex;justify-content: end;">
                                                            {{ Number(ex.totat_exspan).toLocaleString() }} ៛
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div style="display: flex;justify-content: end;">
                                                            {{ formatdatetime(ex.exspan_date) }}
                                                        </div>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                    <hr>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <a v-print="'#purchaseorder'" class="btn-purchase btn-light text-capitalize border-0"
                        data-mdb-ripple-color="dark"><i class="fas fa-print text-primary"></i>  {{ i18ntext.lngText('print') }}</a>
                </div>
            </div>
        </div>
    </div>

    <div
    class="modal fade ui-modal"
    id="alertbell"
    data-bs-backdrop="static"
    data-bs-keyboard="false"
    tabindex="-1"
    aria-labelledby="staticboomId"
    aria-hidden="true"
  >
    <div class="modal-dialog">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title in-header" id="staticBackdropLabel">
            <i class="fa fa-print" aria-hidden="true"></i>  {{ i18ntext.lngText('add_new') }}  {{ i18ntext.lngText('expense_type') }}
          </h5>
          <span
            class="ui-icon ui-icon-closethick"
            data-bs-dismiss="modal"
            aria-label="Close"
          ></span>
        </div>
        <div class="ui-dialog-content" id="purchaseorder1">
          <div>
            <div class="card-body">
              <div class="mt-3">
                <div>
                  <div class="my-2">
                    <table
                      width="100%"
                      border="0"
                      cellpadding="0"
                      cellspacing="0"
                      class="tbl_search mb-3"
                    >
                      <tbody>
                        <tr>
                          <th width="20%"> {{ i18ntext.lngText('description') }}</th>
                          <td>
                            <input autocomplete="off"
                              id="cat_name" v-model="expense_form.description" type="text" class="text" />
                          </td>
                        </tr>
                        <tr>
                          <th>{{ i18ntext.lngText('inactive') }}</th>
                          <td width="90%">
                            <div class="selector" id="inactivced">
                              <span>{{ expense_form.inactived }}</span>
                              <select id="inactivced"  v-model="expense_form.inactived"
                                style="min-width: 51px; opacity: 0; width: 80px">
                                <option value="Yes">Yes</option>
                                <option value="No">No</option>
                              </select>
                            </div>
                          </td>
                        </tr>
                      </tbody>
                    </table>
                    <table class="table table-striped br-table">
                      <thead>
                        <tr class="header-table">
                          <th class="text-center" style="text-align: center !important">
                            {{ i18ntext.lngText('no') }}
                          </th>
                          <th class="text-center" style="text-align: center !important">
                            {{ i18ntext.lngText('expense_name') }}
                          </th>
                          <th class="text-center" style="text-align: center !important">
                            {{ i18ntext.lngText('description') }}
                          </th>
                          <th class="text-center" style="text-align: center !important">
                            {{ i18ntext.lngText('inactive') }}
                          </th>
                          <th></th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr v-for="(item, index) in types" :key="index">
                          <td>{{ index + 1 }}</td>
                          <td>{{ item.expenses_name }}</td>
                          <td>{{ item.description }}</td>
                          <td>{{ item.inactived }}</td>
                          <td class="text-center" style="width: 19em">
                            <div class="button" @click="Edit(item)">
                              <span ><i class="fa fa-edit"></i> {{ i18ntext.lngText('edit') }}<input autocomplete="off"
                                  type="button"
                                  style="opacity: 0; width: 70px"/></span>
                            </div>
                            <div class="button" @click="deletetype(item.id)">
                              <span><i class="fa fa-edit"></i>{{ i18ntext.lngText('Delete') }}<input autocomplete="off" type="button"
                                  style="opacity: 0; width: 70px"/></span>
                            </div>
                          </td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                  <hr />
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <div class="button type2" id="uniform-undefined" @click="Clear()">
            <span
              ><input autocomplete="off"
                type="button"
                class="type2"
                tabindex="10025"
                value="display"
                style="opacity: 0; width: 54px"
              /><i class="fa fa-save" aria-hidden="true"></i> {{ i18ntext.lngText('clear') }}</span
            >
          </div>
          <div v-if="Save_Update === 'Save'" class="button type2" id="uniform-undefined" @click="save()">
            <span ><input autocomplete="off"
                type="button"
                class="type2"
                tabindex="10025"
                value="display"
                style="opacity: 0; width: 54px"
              /><i class="fa fa-save" aria-hidden="true"> </i> {{ i18ntext.lngText('save') }}</span>
          </div>

          <div v-else class="button type2" id="uniform-undefined" @click="save()">
            <span ><input autocomplete="off"
                type="button"
                class="type2"
                tabindex="10025"
                value="display"
                style="opacity: 0; width: 54px"
              /><i class="fa fa-save" aria-hidden="true"> </i> {{ i18ntext.lngText('update') }}</span>
          </div>
        </div>
      </div>
    </div>
  </div>


    <Footer />
    <UserInfo/>
</template>

<script>
import axios from "axios";
import { useCurrentTime } from "../../componentJS/date";
import pagination from "laravel-vue-pagination";
import moment from "moment";
import Logo from "../logo.vue"
import Header from "../Header.vue";
import Footer from "../footer.vue";
import Auth from "../../auth/Auth";

import i18n from "../../i18n/i18n";
import UserInfo from "../UserInfo.vue";

import print from 'vue3-print-nb';
export default {
    components: { pagination, Header, Footer, Logo,UserInfo },
    directives: { print },
    setup() {
        const { currentTime } = useCurrentTime();
        return { currentTime };
    },
    data() {
        return {
            i18ntext: i18n,
            items: [],
            exs: [],
            company: [],
            allStocks: [],
            types:[],
            Type:"",
            Payment: "",
            count: 0,
            massege: "",
            back: false,
            insert: "Save",
            Save_Update : "Save",
            search: "",
            form: {
                id: "",
                document_no: "",
                document: "",
                description: "",
                Payment_method: "",
                totat_exspan: "",
                statue: "",
                exspan_date: "",
                created_by: Auth.user.id,
                updated_by: ''
            },

            expense_form: {
                id: '',
                description : '',
                inactived : 'No',
                created_by :Auth.user.id,
                updated_by : ''
            }

        };
    },
    mounted() {
        if (Auth.check()) {
        if(!Auth.checkPermission('EXPENSES_ALL')){
            this.$router.push('/dashboard');
        }
    }
        this.getcompany()
        this.selectpayment()
        this.getexpen()
        this.expenType()
    },
    methods: {
        async getcompany() {
            await axios.get("/api/v1/getSetup/")
                .then((response) => {
                    this.company = response.data;
                    this.dateformart = moment(new Date()).format('DD-MM-YYYY');
                });
        },
        getproduct(label, txt) {
            if (txt == 'payment') {
                this.Payment = label.paymentmethod
                this.form.Payment_method = this.Payment
            }
            if(txt == 'type'){
                this.Type = label.expenses_name
                this.form.document = this.Type
            }
        },
        selectpayment() {
            axios.get("api/v1/paymentvoucher/getPaymenmethod")
                .then(res => {
                    this.items = res.data
                })
        },
        expenType(){
            axios.get("api/v1/pos/getexpenType")
            .then(res =>{
                this.types = res.data.data
                console.log(this.types)
            })
        },
        async createexpen() {
            this.form.created_by = Auth.user.id
                axios.post("api/v1/pos/createexpen", this.form)
                    .then(res => {
                        if(res.data.statue){
                            this.exs = res.data.data
                            this.form = {
                                id: "",
                                document_no: "",
                                document: "",
                                description: "",
                                Payment_method: "",
                                totat_exspan: "",
                                statue: "",
                                exspan_date: "",
                                created_by: Auth.user.id,
                                updated_by: ''
                            },
                                this.Payment = ""
                                this.Type = ""
                                this.massege = "Save done."
                                this.messagebox()
                        }
                    })
        },
        async getexpen(page = 1) {
            axios.get("api/v1/pos/getexpen?page=" + page)
                .then(res => {
                    this.exs = res.data
                    this.count = this.exs.data.length
                })
        },
        selectexpen(data) {
            this.form = data
            this.Payment = data.Payment_method
            this.back = true
            this.insert = "Update"
            this.massege = "Select done."
            this.messagebox()
        },
        updateexpen() {
            this.form.updated_by = Auth.user.id
            axios.post("api/v1/pos/updateexpen/" + this.form.id, this.form)
                .then(res => {
                    this.form = {
                        id: "",
                        document_no: "",
                        document: "",
                        description: "",
                        Payment_method: "",
                        totat_exspan: "",
                        statue: "",
                        exspan_date: "",
                        created_by: Auth.user.id,
                        updated_by: ''
                    }
                    this.Payment = ""
                    this.Type = ""
                    this.insert = "Save"
                    this.back = false
                    this.massege = "Update done."
                    this.messagebox()
                })
        },
        deletexpen(id) {
            axios.post("api/v1/pos/deleteexpen/" + id)
                .then(res => {
                    this.getexpen()
                    this.massege = "Record has been deleted"
                    this.messagebox()
                })
        },
        searchex() {
            if (this.form.document_no == '' && this.form.document == ''
                && this.form.description == '' && this.form.Payment_method == ''
                && this.form.totat_exspan == '' && this.form.exspan_date == '') {
                this.getexpen()
            }
            else {
                axios.post('api/v1/pos/searchex', this.form)
                    .then(res => {
                        this.form.Payment_method = this.Payment
                        this.exs = res.data
                        this.back = true
                        this.count = this.exs.data.length
                        this.massege = "Data has found."
                        this.messagebox()
                        if(this.count == 0){
                            this.massege = "No data not found!"
                            this.messagebox()
                        }
                    })
            }
        },
        btnBack() {
            this.back = false
            this.getexpen()
            this.form = {
                id: "",
                document_no: "",
                document: "",
                description: "",
                Payment_method: "",
                totat_exspan: "",
                statue: "",
                exspan_date: "",
            },
                this.Payment = ""
                this.Type  = ""
                this.insert = "Save"
                this.massege = "Clear done."
                this.messagebox()
        },
        btnSave() {
            if (this.insert == "Save") {
                this.createexpen()
            }
            else {
                this.updateexpen()
            }
        },
        async save(){
            if(this.Save_Update === "Save"){
               await axios.post("api/v1/expenseType/create",this.expense_form)
                    .then(res => {
                        this.massege = "Created successfully";
                        this.messagebox();
                        this.expenType();
                    })
            }
            if(this.Save_Update === "Update"){
               await axios.post("api/v1/expenseType/update/"+this.expense_form.id,this.expense_form)
                    .then(res => {
                        this.massege = "Update successfully";
                        this.messagebox();
                        this.expenType();
                        this.Save_Update = "Save";
                    })
            }

            this.expense_form = {
                id: '',
                expense_type : '',
                inactived : 'No',
                created_by :Auth.user.id,
                updated_by : ''
            }
        },
        Edit(item){
            this.expense_form = item;
            this.Save_Update = "Update";
        },
        Clear(){
            this.expense_form = {
                id: '',
                expense_type : '',
                inactived : 'No',
                created_by :Auth.user.id,
                updated_by : ''
            }
            this.Save_Update = "Save";
        },
     async   deletetype(id){
           await axios.get("api/v1/expenseType/delete/"+id)
                .then(res => {
                    this.massege = "Deleted successfully"
                    this.messagebox()
                    this.expenType()
                })
        },


        messagebox() {
            var modal = document.getElementById("myModal");
            modal.style.display = "block";
            setTimeout(() => (modal.style.display = "none"), 2000);
        },
        formatdatetime(dateform) {
                try {
                    return  moment(dateform).format('DD-MM-YYYY');
                } catch (error) {
                    return dateform;
                }
            },

    },
};
</script>
